<?php
declare (strict_types = 1);

namespace app\index\controller;

use app\index\model\SysBannerModel;
use think\facade\View;

class TopicLaptop extends Common
{
    /**
     * 专题 - 笔记本电脑首页
     */
    public function index()
    {

        $banners = SysBannerModel::with([
                'items' => function ($query) {
                    $query->withoutField(['sort', 'created_at', 'updated_at', 'deleted_at'])
                        ->order(['sort' => 'asc', 'id' => 'desc'])
                        ->enabled(true);
                }
            ])
            ->atPlatform(request()->from)
            ->uniqueLabel([
                'BANNER_693a268c8aa5f', // 专题 - 笔记本首页 - 焦点图
                'BANNER_693a26b1ad252', // 专题 - 笔记本首页 - 性能介绍
                'BANNER_693a27b767c8c', // 专题 - 笔记本首页 - CPU介绍
                'BANNER_693a28740b8a7', // 专题 - 笔记本首页 - 显卡介绍
                'BANNER_693a28aa8412d', // 专题 - 笔记本首页 - 运行内存介绍
                'BANNER_693a29009fa72', // 专题 - 笔记本首页 - 硬盘介绍
                'BANNER_693a29263c609', // 专题 - 笔记本首页 - 散热系统介绍
                'BANNER_693a2959958bc', // 专题 - 笔记本首页 - 行业App运行介绍
                'BANNER_693a298342b38', // 专题 - 笔记本首页 - 柔光屏介绍
                'BANNER_693a2ad31fbe8', // 专题 - 笔记本首页 - 色域介绍
                'BANNER_693a2b0327ac3', // 专题 - 笔记本首页 - 防眩光介绍
                'BANNER_693a2cc70c762', // 专题 - 笔记本首页 - 外形质感介绍
                'BANNER_693a2d3113d14', // 专题 - 笔记本首页 - 网卡介绍
                'BANNER_693a2d53ac247', // 专题 - 笔记本首页 - 电池续航介绍
                'BANNER_693a2d7f5fa21', // 专题 - 笔记本首页 - 接口介绍
                'BANNER_693a2f2114eb3', // 专题 - 笔记本首页 - 使用场景焦点图
                'BANNER_693a2f92baaa3', // 专题 - 笔记本首页 - 摄像头/麦克风/安全介绍
                'BANNER_693a2fad26f55', // 专题 - 笔记本首页 - 系统预装介绍
                'BANNER_693a2ff4629bd', // 专题 - 笔记本首页 - 产品检测介绍
                'BANNER_693a30e9e4572', // 专题 - 笔记本首页 - 网页脚注
            ])
            ->language($this->lang_id)
            ->enabled(true)
            ->order(['sort' => 'asc', 'id' => 'desc'])
            ->select();

        $data = [];
        if (!$banners->isEmpty()) {
            $banners_map = [];
            foreach ($banners as $banner) {
                $banners_map[$banner->unique_label] = $banner;
            }

            // 焦点图轮播图
            $data['top_focus_images'] = data_get($banners_map, 'BANNER_693a268c8aa5f')?->items->toArray();
            // 性能介绍
            $data['perf'] = data_get($banners_map, 'BANNER_693a26b1ad252')?->items->toArray();
            // CPU介绍
            $data['cpu'] = data_get($banners_map, 'BANNER_693a27b767c8c')?->items->toArray();
            // 显卡介绍
            $data['gpu'] = data_get($banners_map, 'BANNER_693a28740b8a7')?->items->toArray();
            // 运行内存介绍
            $data['ram'] = data_get($banners_map, 'BANNER_693a28aa8412d')?->items->first()?->toArray();
            // 硬盘介绍
            $data['hard_drive'] = data_get($banners_map, 'BANNER_693a29009fa72')?->items->toArray();
            // 散热系统介绍
            $data['cooling_system'] = data_get($banners_map, 'BANNER_693a29263c609')?->items->toArray();
            // 行业App运行介绍
            $data['apps'] = data_get($banners_map, 'BANNER_693a2959958bc')?->items->first()?->toArray();
            // 柔光屏介绍
            $data['screen_soft_light'] = data_get($banners_map, 'BANNER_693a298342b38')?->items->toArray();
            // 色域介绍
            $data['screen_color_gamut'] = data_get($banners_map, 'BANNER_693a2ad31fbe8')?->items->toArray();
            // 防眩光介绍
            $data['screen_anti_glare'] = data_get($banners_map, 'BANNER_693a2b0327ac3')?->items->toArray();
            // 外形质感介绍
            $data['exterior_texture'] = data_get($banners_map, 'BANNER_693a2cc70c762')?->items->toArray();
            // 网卡介绍
            $data['network_card'] = data_get($banners_map, 'BANNER_693a2d3113d14')?->items->toArray();
            // 电池续航介绍
            $data['battery_life'] = data_get($banners_map, 'BANNER_693a2d53ac247')?->items->toArray();
            // 接口介绍
            $data['interface'] = data_get($banners_map, 'BANNER_693a2d7f5fa21')?->items->toArray();
            // 使用场景焦点图
            $data['scene_focus_images'] = data_get($banners_map, 'BANNER_693a2f2114eb3')?->items->toArray();
            // 摄像头/麦克风/安全介绍
            $data['camare_microphone_security'] = data_get($banners_map, 'BANNER_693a2f92baaa3')?->items->toArray();
            // 系统预装介绍
            $data['unified_preinstall'] = data_get($banners_map, 'BANNER_693a2fad26f55')?->items->first()?->toArray();
            // 产品检测介绍
            $data['product_testing'] = data_get($banners_map, 'BANNER_693a2ff4629bd')?->items->toArray();
            // 网页脚注
            $data['webpage_footnotes'] = data_get($banners_map, 'BANNER_693a30e9e4572')?->items->first()?->toArray();
        }
        View::assign('data', $data);

        return View::fetch('index');
    }
}
